[Overview][Resource strings][Classes][Index] | Reference for unit 'stringtableresource' (#fcl-res)

# EStringTableNameNotAllowedException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The name of the resource isn't allowed

## Declaration

Source position: stringtableresource.pp line 27

`type EStringTableNameNotAllowedException = class(EStringTableResourceException)`

## Inheritance

`EStringTableNameNotAllowedException` |  | The name of the resource isn't allowed
`EStringTableResourceException` |  | Base class for string table resource-related exceptions
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised by constructor TStringTableResource.Create if the name of the resource isn't of type dtID and/or its name is not in the range 1-4096.

## See also

TStringTableResource.Create |  | Creates a new string table resource